# coding: utf-8

"""
    Prevision.io

    Prevision.io Studio APIs  # noqa: E501

    OpenAPI spec version: 1.0.5
    Contact: web@prevision.io
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class ConnectorsConnectorIdBody(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'username': 'str',
        'password': 'str',
        'port': 'str',
        'host': 'str'
    }

    attribute_map = {
        'username': 'username',
        'password': 'password',
        'port': 'port',
        'host': 'host'
    }

    def __init__(self, username=None, password=None, port=None, host=None):  # noqa: E501
        """ConnectorsConnectorIdBody - a model defined in Swagger"""  # noqa: E501
        self._username = None
        self._password = None
        self._port = None
        self._host = None
        self.discriminator = None
        if username is not None:
            self.username = username
        if password is not None:
            self.password = password
        if port is not None:
            self.port = port
        if host is not None:
            self.host = host

    @property
    def username(self):
        """Gets the username of this ConnectorsConnectorIdBody.  # noqa: E501

        connector username  # noqa: E501

        :return: The username of this ConnectorsConnectorIdBody.  # noqa: E501
        :rtype: str
        """
        return self._username

    @username.setter
    def username(self, username):
        """Sets the username of this ConnectorsConnectorIdBody.

        connector username  # noqa: E501

        :param username: The username of this ConnectorsConnectorIdBody.  # noqa: E501
        :type: str
        """

        self._username = username

    @property
    def password(self):
        """Gets the password of this ConnectorsConnectorIdBody.  # noqa: E501

        connector password  # noqa: E501

        :return: The password of this ConnectorsConnectorIdBody.  # noqa: E501
        :rtype: str
        """
        return self._password

    @password.setter
    def password(self, password):
        """Sets the password of this ConnectorsConnectorIdBody.

        connector password  # noqa: E501

        :param password: The password of this ConnectorsConnectorIdBody.  # noqa: E501
        :type: str
        """

        self._password = password

    @property
    def port(self):
        """Gets the port of this ConnectorsConnectorIdBody.  # noqa: E501

        connector port  # noqa: E501

        :return: The port of this ConnectorsConnectorIdBody.  # noqa: E501
        :rtype: str
        """
        return self._port

    @port.setter
    def port(self, port):
        """Sets the port of this ConnectorsConnectorIdBody.

        connector port  # noqa: E501

        :param port: The port of this ConnectorsConnectorIdBody.  # noqa: E501
        :type: str
        """

        self._port = port

    @property
    def host(self):
        """Gets the host of this ConnectorsConnectorIdBody.  # noqa: E501

        connector host  # noqa: E501

        :return: The host of this ConnectorsConnectorIdBody.  # noqa: E501
        :rtype: str
        """
        return self._host

    @host.setter
    def host(self, host):
        """Sets the host of this ConnectorsConnectorIdBody.

        connector host  # noqa: E501

        :param host: The host of this ConnectorsConnectorIdBody.  # noqa: E501
        :type: str
        """

        self._host = host

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(ConnectorsConnectorIdBody, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, ConnectorsConnectorIdBody):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
